package com.bonus.canteen.core.auth.oauth.vo;

public class DeviceLoginResponseVo {
   private Long tenantId;
   private String mqClientAddress;
   private String deviceToken;
   private String securityTokenSign;

   public Long getTenantId() {
      return this.tenantId;
   }

   public String getMqClientAddress() {
      return this.mqClientAddress;
   }

   public String getDeviceToken() {
      return this.deviceToken;
   }

   public String getSecurityTokenSign() {
      return this.securityTokenSign;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setMqClientAddress(final String mqClientAddress) {
      this.mqClientAddress = mqClientAddress;
   }

   public void setDeviceToken(final String deviceToken) {
      this.deviceToken = deviceToken;
   }

   public void setSecurityTokenSign(final String securityTokenSign) {
      this.securityTokenSign = securityTokenSign;
   }

   public String toString() {
      Long var10000 = this.getTenantId();
      return "DeviceLoginResponseVo(tenantId=" + var10000 + ", mqClientAddress=" + this.getMqClientAddress() + ", deviceToken=" + this.getDeviceToken() + ", securityTokenSign=" + this.getSecurityTokenSign() + ")";
   }
}
